Переполнение буфера в Omni-NFS Server

Дата публикации:
08.11.2006
Дата изменения:
08.11.2006
Всего просмотров:
1426
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Локальная сеть
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Omni-NFS NFS Server 4.x
Уязвимые версии: Omni-NFS Server 4.2, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании или выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных при обработке запросов, отправленных NFS серверу. Удаленный пользователь может с помощью специально сформированного пакета вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: www.xlink.com/nfs_products/NFS_Server/NFS_Server.htm

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: Omni-NFS Server 4.2 (nfsd.exe) Remote Stack Overflow Exploit (meta)

или введите имя

CAPTCHA